
Figure - Bug #118713
【IOVDEV-33726】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【蓝牙】副屏与北通蓝牙手柄连
接成功，距离一长自动断开，返回自动重连，但连接的时间很长
2023-06-09 15:35 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-09

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ��【中控版本号】：03.02.0088.c103.02_NO����【副屏版本号】：01.00.0106.c104

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230609 13：37

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.打开副屏蓝牙与蓝牙手柄进行配对连接

2将手柄与副屏保持十几米距离，时手柄自动断开

3.在返回副屏旁边

【实际结果】

1.会与副屏自动重连但连接时间过长

【期望结果】

1.正常与副屏进行自动重连，时间不长

【备注】：

第319次开机

北通蓝牙手柄型号：北通阿修罗2pro

日志、视频地址：https://ofs.human-horizons.com/#/download/index/XPKyBy2d16U%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-09 15:37 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118713

#2 - 2023-06-12 17:05 - 短距组_SSRDCNJ 蒋俊杰

当前进展：
https://ofs.human-horizons.com/#/download/index/XPKyBy2d16U%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118713


连接时间过长需要结合发起连接以及连接成功的时间点来确认，由于录屏里没有看出来手柄是什么时候返回到副屏旁边的，log里也没看到重新连接的log

，只有断开连接的log

695    Command    0x0406    Disconnect            0x0002            3    7     00:00:00.000070    2023/6/9 13:38:04.236835    

701    Event    0x0406    Disconnect    Command Status    Success                4    7     00:00:00.000388    2023/6/9 13:38:04.237578    

702    Event            Disconnection Complete    Success    0x0002            4    7     00:00:00.009424    2023/6/9 13:38:04.247002

下一步：

请测试帮忙复测，补充完整的log+问题时间点（录屏需要包含靠近副屏开始连接的时间点和连接成功的时间点）

#3 - 2023-06-14 15:48 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

已更新到JIRＡ

#4 - 2023-06-17 17:34 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

前进展：

结合android日志和HCI日志，11:39:23的时候由于手柄远离副屏，蓝牙超时断开，11:40:24的时候重连成功，中间有三次连接没有成功，报错原因是

Connection Failed to be Established，该报错一般是由于在Host发出CONNECT_IND响应ADV_IND后，slave没有响应主机发送的任何数据包。

//断开

06-15 11:39:23.078 13117 13117 D AdapterProperties: PROFILE_CONNECTION_STATE_CHANGE: profile=4, device=A1:55:05:10:C3:70, 2 -> 0

06-15 11:39:23.079 13117 13117 D AdapterProperties: ADAPTER_CONNECTION_STATE_CHANGE: A1:55:05:10:C3:70: 2 -> 0

//连接成功

06-15 11:40:24.968 13117 13117 D AdapterProperties: PROFILE_CONNECTION_STATE_CHANGE: profile=4, device=A1:55:05:10:C3:70, 0 -> 2

//此时蓝牙关闭了

06-15 11:41:01.361 13117 13199 D BluetoothAdapterService: disable() called with mRunningProfiles.size() = 11

//Reason: Connection Timeout

5,816 Event HCI_Disconnection_Complete Success 0x0001 4 7 00:00:04.997834 2023/6/15 11:39:23.056355

//Reason: Connection Failed to be Established

5,854 Event HCI_Disconnection_Complete Success 0x0003 4 7 00:00:00.000511 2023/6/15 11:39:56.828780

5,887 Event HCI_Disconnection_Complete Success 0x0004 4 7 00:00:00.000530 2023/6/15 11:40:13.883668

5,919 Event HCI_Disconnection_Complete Success 0x0005 4 7 00:00:00.000268 2023/6/15 11:40:19.417243

//HCI连接断开

8,394 Command 0x0406 Link Control HCI_Disconnect 0x0006 3 7 00:00:00.014964 2023/6/15 11:41:02.446093

8,396 Event 0x0406 Link Control HCI_Disconnect HCI_Command_Status Success 4 7 00:00:00.000812 2023/6/15 11:41:02.447120

8,398 Event HCI_Disconnection_Complete Success 0x0006 4 7 00:00:00.000319 2023/6/15 11:41:02.462431

下一步：

对端不响应，可以认为是对端的问题，但是当前场景下，在设备远离蓝牙信号变差的情况下，出现这个现象其实也可以认为是正常的。

#5 - 2023-06-17 17:34 - CDTS_TEST 王成
- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-17 17:34 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
